"""
Common regexps

Attributes:
    UUID4_REGEXP_STR: uuid4 str
    UUID4_REGEXP: compiled regexp for uuid4 id string
    UUID_REGEXP_STR: uuid str
    UUID_REGEXP: compiled regexp  for uuid id string
"""

import re

UUID4_REGEXP_STR = r"[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89ab][a-f0-9]{3}-[a-f0-9]{12}"
UUID4_REGEXP = re.compile(rf"^{UUID4_REGEXP_STR}\Z", re.I)
UUID_REGEXP_STR = r"[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}"
UUID_REGEXP = re.compile(rf"^{UUID_REGEXP_STR}\Z", re.I)
